Subject: Exotic Oranges

From: [email-masked] (El Bozo)
Date: 21 Jul 1995 12:53:10 -0400

Hello, I am new to this newsgroup, and would like to ask if anyone 
knows:
What exactly is a Curacao orange?   Some call it a bitter orange, and some
call it a sour orange.  
  I would also like to know a source for it.  Any help/info would be
greatly appreciated.
**
PS-I am located in San Diego, Calif. so growing citrus should  present no
problem.

Thanks
**